Subject: Vasculitis

From: [email-masked] (Janice Tucker)
Date: Thu, 12 Jan 1995 13:06:30

Does anyone know what the fundamental problem would be in a person who is 
exhibiting the symptoms of vasculitis on their lower legs/ankles? Does anyone
know which herbs would treat the cause and then the symptom of vasculitis?
Please email me at: [email-masked]
Thanks.